<div>
    <div>
        <p-accordion>
            <p-accordionTab header="Filter" [selected]="false">
                <div class="row">
                    <div class="ui-g-12">
                        <div class="col-md-6">
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_PIC">Tanggal</label>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                                <div class="ui-g-4">
                                    <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                        dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                        yearRange="2000:2999" appendTo="body"></p-calendar>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="ui-g-4">
                                    <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                </div>
                                <div class="ui-g-8">
                                    <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                        (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                        [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                        (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1></p-autoComplete>
                                </div>
                            </div>
                            <div class="form-group">
                                <button pButton type="submit" label="Filter" icon="fa-filter"
                                    class="ui-button-primary flat-label-button" (click)="filter()">
                                </button>
                                <button pButton label="Reset Filter" icon="fa-refresh"
                                    class="ui-button-primary flat-label-button" (click)="reset()">
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </p-accordionTab>
        </p-accordion>
    </div>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Cari Surat Retur">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br />
    <div>
        <p-dataTable [value]="returs" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
            row="itemsPerPage" totalRecords="totalItems" dataKey="idretur" expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
            <p-header>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}" *jhiHasAnyAuthority="['ROLE_MGR_PRC']">
            </p-column>
            <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor Surat Retur">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.noretur}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtcreated | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Pembuat">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.createdby}}
                </ng-template>
            </p-column>
            <p-column header="Supplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.master_supplier.nmSupplier}}
                </ng-template>
            </p-column>
            <p-column header="Status">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.status_desc}}
                </ng-template>
            </p-column>
            <p-column header="Aksi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div class="ui-g-3">
                        <button pButton type="button" [routerLink]="['../surat-retur/'+rowData.idretur+'/false']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Retur"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                    <div class="ui-g-3">
                        <button pButton type="button" icon="fa-print" (click)="cetakRetur(rowData)" class="flat-button"
                            pTooltip="Cetak Retur" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                    <div class="ui-g-3" *ngIf="rowData.retur_status.statustype === 29">
                        <button pButton type="button" icon="fa fa-check-square-o" (click)="setstatus(11, rowData)"
                            class="flat-button" pTooltip="Approve / Not Approve" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                    </div>
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div>
</div>
<!-- <p-confirmDialog></p-confirmDialog> -->